title 'Test data for stat2dat';

*%include stat2dat;			*-- add path, or store stat2dat in autocall lib;
* dataset containing N, mean, std dev for each group: 2x2x2x2 design;
data greenb;
	input splits $ ufb $ @;
	do dep='Hi ', 'Low';
	do sc ='Hi ', 'Low';
	do gp ='PE',  'CC';
		input n mean sd @;
		if sd=0 then sd=.5;
		output;
		end; end; end;
cards;
res  res  3 22 5  2 20 5  4 20 5   1 16 0    3 20 5   1 11 0   1 18 0   0 0 0
res  nres 3 14 6  2 12 5  2 10 5   1  8 0    3 19 5   1 16 0   1 16 0   1 5 0
nres res  3 14 6  2 12 5  4 19 5   2 21 5    4 10 5   2  6 3   1 18 0   2 16 3
nres nres 3  5 3  5  3 5  2  8 4   9 15 7    2 8 4    8  6 5   1 14 0   1 16 0
;

%stat2dat(data=greenb, out=greendat,
	class=gp sc dep splits ufb, n=n, mean=mean, std=sd, depvar=change);
*proc print data=greendat;
	;
proc glm data=greendat outstat=stats;
	class gp sc dep splits ufb;
	freq freq;
	model change=gp|sc|dep|splits|ufb@3 / ss3;
run;
