title 'Berkeley Admissions data';
proc format;
   value admit 1="Admit" 0="Reject"          ;
   value yn    1="+"        0="-"                 ;
   value dept  1="A" 2="B" 3="C" 4="D" 5="E" 6="F";
data berkeley (label="Berkeley admissions data");
   do dept = 1 to 6;
      do gender = 'M', 'F';
         do admit = 1, 0;
            input freq @@;
            output;
   end; end; end;
	format dept dept. admit admit.;
/* Admit  Rej  Admit Rej */
cards;
     512  313    89   19
     353  207    17    8
     120  205   202  391
     138  279   131  244
      53  138    94  299
      22  351    24  317
;
%sas2vsta(data=berkeley, var=Gender Dept Admit, freq=Freq, 
	id=Gender Dept Admit, sep=-,
	about=%str(Berkeley admissions data, from Bickel-etal:75) );
